> For the complete documentation index, see [llms.txt](https://docs.pentaho.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pentaho.com/pdia-data-integration/9.3-data-integration/advanced-topics-pentaho-data-integration-overview/adaptive-execution-layer-cp-landing-page/ael-logging-cp/configuring-ael-logging/modify-the-logback.xml-file.md).

# Modify the XML file

The `logback.xml` file controls the size and number of the log files. Perform the following steps to modify the `logback.xml` file:

1. 1. Log on to the cluster and stop the AEL daemon.
2. 2. Navigate to the `design-tools/data-integration/adaptive-execution/config` directory and open the `logback.xml` file.
3. 3. Edit the following settings:
   4. **maxFileSize**

      The rotation file size. The maximum size of each log file is 10MB (default).
   5. **minIndex and maxIndex**

      The number of log files in use. The maximum number of log files is 10 (default). The minimum number of log files is 0.
4. 5. Save and close the file.
5. Restart the AEL daemon.

See the **Administer Pentaho Data Integration and Analytics** document for more information about the AEL daemon.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.pentaho.com/pdia-data-integration/9.3-data-integration/advanced-topics-pentaho-data-integration-overview/adaptive-execution-layer-cp-landing-page/ael-logging-cp/configuring-ael-logging/modify-the-logback.xml-file.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
